using Windows.Foundation;

namespace PCUT.DeepNestApi
{
    public abstract class DraftElement
    {
        public object Tag;
        public Point Start;
        public Point End;

        public abstract double Length { get; }

        public abstract void Reverse();
        public abstract Point[] GetPoints();

        internal abstract void Mult(double mult);
        
    }
}
